> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conduit.financial/llms.txt
> Use this file to discover all available pages before exploring further.

# Get client

> Get an existing Client (subsidiary) by ID



## OpenAPI

````yaml https://api.conduit.financial/api-docs/2024-12-01/openapi-external.yaml?mode=dynamic get /clients/{id}
openapi: 3.0.2
info:
  version: '2024-12-01'
  title: Conduit API
  description: The Conduit Financial API
  contact:
    name: Conduit Support
    email: conduit@conduit.fi
servers:
  - url: https://api.conduit.financial
    description: The Conduit API live environment
  - url: https://api.sandbox.conduit.financial
    description: The Conduit API Sandbox environment
security: []
tags:
  - name: Accounts
    description: |
      Endpoints dealing with accounts.
  - name: Counterparties
    description: |
      Endpoints dealing with counterparties information. 
  - name: Quotes
    description: |
      Endpoints dealing with quotes.
  - name: Transactions
    description: |
      Endpoints dealing with transactions.
  - name: Documents
    description: |
      Endpoints dealing with documents.
  - name: Customers
    description: |
      Endpoints dealing with customer information. 
paths:
  /clients/{id}:
    get:
      tags:
        - Clients
      summary: Get client
      description: Get an existing Client (subsidiary) by ID
      operationId: getClient
      parameters:
        - schema:
            $ref: '#/components/schemas/ClientId'
          required: true
          description: A valid Client ID
          name: id
          in: path
      responses:
        '200':
          description: The retrieved client
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSubsidiaryResponse'
        '400':
          description: Input validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestErrorResponse'
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestErrorResponse'
        '403':
          description: Authorization error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenErrorResponse'
        '404':
          description: Not Found error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundErrorResponse'
        '415':
          description: Unsupported media type error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnsupportedMediaTypeErrorResponse'
        '429':
          description: Throttling error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsErrorResponse'
        '500':
          description: Internal Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
      security:
        - apiKey: []
          apiSecret: []
components:
  schemas:
    ClientId:
      type: string
      pattern: ^client_[a-zA-Z0-9]{27}$
      description: A valid Client ID
      example: client_2ofTA13AD0xBtbEvBl20aEb1hEu
    GetSubsidiaryResponse:
      type: object
      properties:
        type:
          type: string
          minLength: 1
        businessLegalName:
          type: string
          minLength: 1
        businessTradeName:
          type: string
          minLength: 1
        industry:
          type: string
          minLength: 1
        email:
          type: string
          format: email
        phone:
          type: string
        entityType:
          allOf:
            - $ref: '#/components/schemas/EntityType'
            - description: The type of entity
              example: Bank
        website:
          type: string
          format: uri
        identifications:
          type: array
          items:
            $ref: '#/components/schemas/CustomerIdentification'
          minItems: 1
        documents:
          type: array
          items:
            $ref: '#/components/schemas/Document'
        registeredDate:
          type: string
          minLength: 1
        registeredAddress:
          $ref: '#/components/schemas/Address'
        operatingAddress:
          $ref: '#/components/schemas/Address'
        createdAt:
          type: string
        updatedAt:
          type: string
        status:
          $ref: '#/components/schemas/PublicCustomerStatus'
        paymentMethods:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/BankPaymentMethodResponse'
              - type: object
                properties:
                  id:
                    $ref: '#/components/schemas/WalletId'
                  type:
                    type: string
                    enum:
                      - wallet
                  rail:
                    type: string
                    enum:
                      - ethereum
                      - tron
                      - base
                      - polygon
                      - solana
                      - xrpl
                  walletAddress:
                    type: string
                  walletLabel:
                    type: string
                  status:
                    $ref: '#/components/schemas/PaymentMethodStatus'
                  entity:
                    type: object
                    properties:
                      id:
                        anyOf:
                          - $ref: '#/components/schemas/CounterpartyId'
                          - $ref: '#/components/schemas/CustomerId'
                          - $ref: '#/components/schemas/AccountHolderId'
                      name:
                        type: string
                      entityType:
                        type: string
                        enum:
                          - individual
                          - business
                      complianceEntityType:
                        type: string
                        enum:
                          - customer
                          - counterparty
                          - client
                          - account_holder
                    required:
                      - id
                      - name
                      - entityType
                      - complianceEntityType
                required:
                  - id
                  - type
                  - rail
                  - walletAddress
                  - walletLabel
        tags:
          type: array
          nullable: true
          items:
            type: string
        isFinancialInstitution:
          type: boolean
        controlPersons:
          type: array
          items:
            $ref: '#/components/schemas/ControlPersonResponse'
        eddFormId:
          type: string
        id:
          $ref: '#/components/schemas/ClientId'
      required:
        - type
        - businessLegalName
        - businessTradeName
        - industry
        - identifications
        - registeredDate
        - registeredAddress
        - operatingAddress
        - paymentMethods
        - id
    BadRequestErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    ForbiddenErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    NotFoundErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    UnsupportedMediaTypeErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    TooManyRequestsErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    InternalServerErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    EntityType:
      type: string
      enum:
        - Bank
        - Insurance Company
        - Securities Broker or Dealer
        - Investment Company or other Passive Investment Vehicle
        - Trust Company
        - Hedge Fund
        - Other
    CustomerIdentification:
      type: object
      properties:
        id:
          type: string
          format: uuid
        identificationType:
          $ref: '#/components/schemas/IdentificationType'
        identificationNumber:
          type: string
          minLength: 1
      required:
        - identificationType
        - identificationNumber
      description: Customer identification document
      example:
        id: 123e4567-e89b-12d3-a456-426614174001
        identificationType: TIN
        identificationNumber: 12-3456789
    Document:
      type: object
      properties:
        documentId:
          $ref: '#/components/schemas/DocumentId'
        documentName:
          type: string
        documentPurpose:
          type: string
        documentType:
          type: string
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - documentId
        - documentName
        - documentPurpose
        - documentType
        - createdAt
        - updatedAt
      description: Document information
      example:
        documentId: doc_2ofTA13AD0xBtbEvBl20aEb1hEu
        documentName: Contract
        documentPurpose: transaction_justification
        documentType: contract
        createdAt: '2021-01-01T00:00:00.000Z'
        updatedAt: '2021-01-01T00:00:00.000Z'
    Address:
      type: object
      properties:
        streetLine1:
          type: string
          minLength: 1
        streetLine2:
          type: string
        city:
          type: string
          minLength: 1
          pattern: '^[A-Za-zÀ-ÖØ-öø-ÿ''''.-]+(?: [A-Za-zÀ-ÖØ-öø-ÿ''''.-]+)*$'
        state:
          type: string
          pattern: ^[A-Za-zÀ-ÖØ-öø-ÿ0-9''.-](?:[A-Za-zÀ-ÖØ-öø-ÿ0-9''.\- ]{0,})$
        postalCode:
          type: string
        country:
          type: string
          minLength: 3
          maxLength: 3
          description: The ISO 3166-1 alpha-3 country code (e.g., USA, GBR, FRA)
      required:
        - streetLine1
        - city
        - country
      description: Address information
      example:
        streetLine1: 123 Main St
        streetLine2: Suite 100
        city: New York
        state: NY
        postalCode: '10001'
        country: USA
    PublicCustomerStatus:
      type: string
      enum:
        - active
        - in_compliance_review
        - compliance_rejected
        - created
        - kyb_in_progress
        - kyb_expired
        - kyb_missing_information
        - account_onboarding_pending
        - failed_to_create
    BankPaymentMethodResponse:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/BankAccountId'
        type:
          type: string
          enum:
            - bank
        bankName:
          type: string
        accountNumber:
          type: string
        iban:
          type: string
        pixKey:
          type: string
        routingNumber:
          type: string
        swiftCode:
          type: string
        branchCode:
          type: string
        bankCode:
          type: string
        sortCode:
          type: string
        currency:
          type: string
          enum:
            - USD
            - MXN
            - BRL
            - COP
            - EUR
            - NGN
            - ARS
            - GBP
            - AED
            - SGD
            - HKD
          description: The asset identifier. A fiat currency code.
        accountType:
          type: string
          enum:
            - savings
            - checking
            - electronic_deposit
        accountOwnerName:
          type: string
        address:
          type: object
          properties:
            streetLine1:
              type: string
            streetLine2:
              type: string
            city:
              type: string
            state:
              type: string
            postalCode:
              type: string
            country:
              type: string
        status:
          $ref: '#/components/schemas/PaymentMethodStatus'
        rail:
          type: array
          items:
            $ref: '#/components/schemas/FiatPaymentRail'
        entity:
          type: object
          properties:
            id:
              anyOf:
                - $ref: '#/components/schemas/CounterpartyId'
                - $ref: '#/components/schemas/CustomerId'
                - $ref: '#/components/schemas/AccountHolderId'
            name:
              type: string
            entityType:
              type: string
              enum:
                - individual
                - business
            complianceEntityType:
              type: string
              enum:
                - customer
                - counterparty
                - client
                - account_holder
          required:
            - id
            - name
            - entityType
            - complianceEntityType
      required:
        - id
        - type
        - bankName
        - currency
        - accountOwnerName
        - status
      title: Bank Payment Method Response
      example:
        id: bank_1234
        type: bank
        rail:
          - fedwire
        bankName: Bank of America
        accountOwnerName: John Doe
        accountNumber: '1234567890'
        currency: USD
        routingNumber: '1234567890'
        status: enabled
        address:
          streetLine1: 123 Main St
          city: New York
          state: NY
          postalCode: '10001'
          country: USA
        entity:
          id: cp_1234567890123456789012345
          name: Mark Davis
          entityType: individual
          complianceEntityType: counterparty
    WalletId:
      type: string
      pattern: ^wlt_[a-zA-Z0-9]{27}$
      description: A valid Wallet ID
      example: wlt_2ofTAESrTs4uQ8N3yGBMhGj59jV
    PaymentMethodStatus:
      type: string
      enum:
        - enabled
        - disabled
    CounterpartyId:
      type: string
      pattern: ^cp_[a-zA-Z0-9]{27}$
      description: A valid Counterparty ID
      example: cp_2ofTA13AD0xBtbEvBl20aEb1hEu
    CustomerId:
      type: string
      pattern: ^cus_[a-zA-Z0-9]{27}$
      description: A valid Customer ID
      example: cus_2ofTA13AD0xBtbEvBl20aEb1hEu
    AccountHolderId:
      type: string
      pattern: ^ahl_[a-zA-Z0-9]{27}$
      description: A valid Account Holder ID
      example: ahl_2ofTA9KYmWBoRaFyAkBNBIZcfG4
    ControlPersonResponse:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/ControlPersonId'
        firstName:
          type: string
        lastName:
          type: string
        middleName:
          type: string
        email:
          type: string
          format: email
        roles:
          type: array
          items:
            type: object
            properties:
              name:
                $ref: '#/components/schemas/ControlPersonRole'
              startDate:
                type: string
              endDate:
                type: string
              current:
                type: boolean
            required:
              - name
        sharesAllocated:
          type: number
          minimum: 0
        ownershipPercentage:
          type: number
        referenceId:
          type: string
        birthDate:
          type: string
        address:
          $ref: '#/components/schemas/Address'
        title:
          type: string
        isEntity:
          type: boolean
        immigrationStatus:
          type: string
        numberType:
          type: string
        taxResidencyCountry:
          type: string
          minLength: 3
          maxLength: 3
          description: The ISO 3166-1 alpha-3 country code (e.g., USA, GBR, FRA)
        regulatoryAffiliations:
          type: array
          items:
            type: object
            properties:
              regulatoryAffiliation:
                type: string
            required:
              - regulatoryAffiliation
        phone:
          type: string
          pattern: ^\+[1-9]\d{1,14}$
        nationality:
          type: string
          minLength: 3
          maxLength: 3
          pattern: ^[A-Z]{3}$
        gender:
          type: string
          enum:
            - male
            - female
            - other
        identityInfo:
          type: object
          properties:
            documentCountry:
              type: string
              minLength: 3
              maxLength: 3
            state:
              type: string
            documentType:
              type: string
              enum:
                - passport
                - driver_license
                - national_id
                - proof_of_address
                - selfie
                - selfie_image
                - selfie_video
                - pan_card
                - voter_id_card
                - resident_card
                - ghana_card
                - ghana_ssnit_card
                - kenya_alien_card
                - bank_statement
                - power_of_attorney
                - terms_of_service
                - visa
                - other
            documentNumber:
              type: string
            documentIssueDate:
              type: string
            documentExpiryDate:
              type: string
          required:
            - documentCountry
            - documentType
            - documentNumber
            - documentIssueDate
        isPoliticallyExposed:
          type: boolean
        reasonForPoliticallyExposed:
          type: string
        documents:
          type: array
          items:
            $ref: '#/components/schemas/Document'
      required:
        - firstName
        - lastName
        - email
        - roles
        - sharesAllocated
        - ownershipPercentage
        - birthDate
        - address
        - nationality
        - identityInfo
      description: Control person response (SSN excluded for security)
      example:
        id: ctl_2ofTA13AD0xBtbEvBl20aEb1hEu
        firstName: John
        lastName: Doe
        middleName: Michael
        email: john.doe@example.com
        birthDate: '2000-01-01'
        address:
          streetLine1: 123 Main St
          streetLine2: Suite 100
          city: New York
          state: NY
          postalCode: '10001'
          country: USA
        nationality: USA
        gender: male
        phone: '+1234567890'
        title: CEO
        isEntity: false
        immigrationStatus: citizen
        numberType: ssn
        taxResidencyCountry: USA
        regulatoryAffiliations:
          - regulatoryAffiliation: FINRA
        sharesAllocated: 2000
        ownershipPercentage: 100
        referenceId: ref_123
        roles:
          - name: beneficial_owner
            startDate: '2021-01-01'
            endDate: '2025-01-01'
            current: true
        identityInfo:
          documentCountry: USA
          documentType: passport
          documentNumber: '1234567890'
          documentIssueDate: '2021-01-01'
          documentExpiryDate: '2025-01-01'
        documents:
          - documentId: doc_2ofTA13AD0xBtbEvBl20aEb1hEu
            documentName: Passport
            documentPurpose: kyc
            documentType: passport
            createdAt: '2021-01-01T00:00:00.000Z'
            updatedAt: '2021-01-01T00:00:00.000Z'
    IdentificationType:
      type: string
      enum:
        - TIN
        - US_PASSPORT
        - NIT
        - CE
        - CC
        - CO_PASSPORT
        - CNPJ
        - CPF
        - RFC
        - CURP
    DocumentId:
      type: string
      pattern: ^doc_[a-zA-Z0-9]{27}$
      description: A valid Document ID
      example: doc_2ofTAESrTs4uQ8N3yGBMhGj59jV
    BankAccountId:
      type: string
      pattern: ^bank_[a-zA-Z0-9]{27}$
      description: A valid Bank Account ID
      example: bank_2ofTA5mz0T91pBmD3tMTeLE7T4X
    FiatPaymentRail:
      type: string
      enum:
        - ach_colombia
        - ach
        - fedwire
        - pix
        - ted
        - sepa
        - spei
        - swift
        - rtgs
        - pse
        - ars_bank_transfer
        - fps
        - chaps
        - fast
        - international_wire
        - bank_transfer
    ControlPersonId:
      type: string
      pattern: ^ctl_[a-zA-Z0-9]{27}$
      description: A valid Control Person ID
      example: ctl_2ofTA13AD0xBtbEvBl20aEb1hEu
    ControlPersonRole:
      type: string
      enum:
        - director
        - shareholder
        - beneficial_owner
        - control_person
        - officer
        - other
        - legal_representative
        - authorized_representative
  securitySchemes:
    apiKey:
      type: apiKey
      description: Includes an API key in the HTTP headers to authenticate the client.
      name: X-API-Key
      in: header
    apiSecret:
      type: apiKey
      description: Includes an API secret in the HTTP headers to authenticate the client.
      name: X-API-Secret
      in: header

````